> For the complete documentation index, see [llms.txt](https://developer.siteminder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.siteminder.com/channels-plus-api/reference/export/property.md).

# Property

Returns all static content and room rates for a specific property.

{% hint style="info" %}
**API:** Channels Plus · **Operation:** Properties Export · **Direction:** SM → Channel · **Method:** Pull (Channel-initiated)
{% endhint %}

## GET /properties/{uuid}

> show room with the given uuid

```json
{"openapi":"3.0.0","info":{"title":"channels-plus-export-api","version":"0.0.1"},"paths":{"/properties/{uuid}":{"get":{"operationId":"showProperty","description":"show room with the given uuid","parameters":[{"$ref":"#/components/parameters/SmApiId"},{"$ref":"#/components/parameters/SmApiKey"},{"name":"uuid","description":"The uuid of the property","required":true,"in":"path","schema":{"type":"string"}},{"name":"languages","description":"The language codes for the property information","in":"query","schema":{"type":"array","items":{"type":"string","enum":["de","en","es","fr","id","it","pt","th"]}}}],"responses":{"200":{"description":"successful","headers":{"ratelimit-policy":{"schema":{"type":"string"},"description":"Shows the number of request allowed per number of seconds window. e.g. '100;w=60' means 100 request in a 60 seconds window."},"ratelimit-limit":{"schema":{"type":"integer"},"description":"The number of requests allowed per window"},"ratelimit-remaining":{"schema":{"type":"integer"},"description":"The number of requests left for the time window."},"ratelimit-reset":{"schema":{"type":"integer"},"description":"The number of seconds left for the window to reset"}},"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"address":{"type":"string"},"suburb":{"type":"string"},"state":{"type":"string"},"country":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"phoneNumber":{"type":"string"},"emailAddress":{"type":"string"},"propertyType":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"language":{"type":"string"},"starRating":{"type":"number"},"currency":{"type":"string"},"amenities":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"unitsOfMeasurement":{"type":"string","description":"The units of measurement used for the property (m^2 or ft^2)"},"totalCommissionPercentage":{"type":"number"},"siteminderCommissionPercentage":{"type":"number"},"channelCommissionPercentage":{"type":"number"},"licenses":{"type":"array","items":{"type":"object","properties":{"licenseType":{"type":"string","enum":["property","room"]},"licenseNumber":{"type":"string"},"licenseIssueDate":{"type":"string"}},"required":["licenseType","licenseNumber","licenseIssueDate"]}},"checkinStartTime":{"type":"string"},"checkinEndTime":{"type":"string"},"checkoutEndTime":{"type":"string"},"photos":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"position":{"type":"integer"},"captions":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}}}}},"acceptedCardTypes":{"type":"array","items":{"type":"string","enum":["AX","DN","DS","JC","MC","CU","VI"]}},"taxes":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"taxType":{"type":"string","enum":["percentage","fixed"]},"rate":{"type":"number"},"application":{"type":"string","enum":["per-room-per-night","per-stay"]}},"required":["name","taxType","rate","application"]}},"fees":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"feeType":{"type":"string","enum":["percentage","fixed"]},"rate":{"type":"number"},"application":{"type":"string","enum":["per-room-per-night","per-stay"]}},"required":["name","feeType","rate","application"]}},"roomTypes":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"uuid":{"type":"string"},"roomArea":{"type":"string"},"photos":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"position":{"type":"integer"},"captions":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}}}}},"description":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"bedConfigurations":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"text":{"type":"string"},"language":{"type":"string"},"quantity":{"type":"number","minimum":1}},"required":["text","language","quantity"]}},"amenities":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"views":{"type":"array","items":{"$ref":"#/components/schemas/TranslationText"}},"maxAdults":{"type":"number"},"maxChildren":{"type":"number"},"maxOccupancy":{"type":"number"},"roomRates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"uuid":{"type":"string"},"ratePlanUuid":{"type":"string"},"ratePlanName":{"type":"string"},"breakfastIncluded":{"type":"boolean"},"cancellationPolicy":{"type":"object","properties":{"policyType":{"type":"string","enum":["non-refundable","free-cancellation"]},"freeCancellationUntilDays":{"type":"integer"}}}}}}}}}}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitError"},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"parameters":{"SmApiId":{"name":"x-sm-api-id","description":"The api id for channel","required":true,"in":"header","schema":{"type":"string"}},"SmApiKey":{"name":"x-sm-api-key","description":"The api key for channel","required":true,"in":"header","schema":{"type":"string"}}},"schemas":{"TranslationText":{"type":"object","additionalProperties":false,"properties":{"text":{"type":"string"},"language":{"type":"string"}},"required":["text","language"]},"Error":{"type":"object","required":["errors"],"properties":{"errors":{"minItems":1,"type":"array","description":"An array of error objects, for most errors, this array would only contain one error object. An errors array must contain at least one error object.","items":{"type":"object","required":["code"],"properties":{"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object"}}}}}}},"responses":{"BadRequest":{"description":"Invalid request","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"RateLimitError":{"description":"The number of requests for the last 5 minutes window has reached the limit for the given channel","headers":{"ratelimit-policy":{"schema":{"type":"string"},"description":"Shows the number of request allowed per number of seconds window. e.g. '100;w=60' means 100 request in a 60 seconds window."},"ratelimit-limit":{"schema":{"type":"integer"},"description":"The number of requests allowed per window"},"ratelimit-remaining":{"schema":{"type":"integer"},"description":"The number of requests left for the time window."},"ratelimit-reset":{"schema":{"type":"integer"},"description":"The number of seconds left for the window to reset"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServerError":{"description":"Unexpected error occurred","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}
```

{% hint style="success" icon="sparkles" %}

## Still have questions?

Use the <i class="fa-gitbook-assistant">:gitbook-assistant:</i> **Ask** button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.

If you need more support, visit [Integration Support](/integration-support/integration-support.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.siteminder.com/channels-plus-api/reference/export/property.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
